[SA23465] tDiary Unspecified Ruby Code Execution Vulnerability

2006-12-30T00:00:00
ID SECURITYVULNS:DOC:15525
Type securityvulns
Reporter Securityvulns
Modified 2006-12-30T00:00:00

Description

TITLE: tDiary Unspecified Ruby Code Execution Vulnerability

SECUNIA ADVISORY ID: SA23465

VERIFY ADVISORY: http://secunia.com/advisories/23465/

CRITICAL: Highly critical

IMPACT: System access

WHERE: >From remote

SOFTWARE: tDiary 2.x http://secunia.com/product/5496/

DESCRIPTION: Takagi Hiroshi has reported a vulnerability in tDiary, which can be exploited by malicious people to compromise vulnerable systems.

An unspecified error within the sanitation of input can be exploited to execute arbitrary Ruby code.

Successful exploitation reportedly depends on the product's configuration.

The vulnerability is reported in version 2.0.3. Other versions may also be affected.

SOLUTION: Update to version 2.0.4.

PROVIDED AND/OR DISCOVERED BY: Takagi Hiroshi

ORIGINAL ADVISORY: JVN: http://jvn.jp/jp/JVN%2331185550/index.html

IPA: http://www.ipa.go.jp/security/vuln/documents/2006/JVN_31185550.html

tDiary: http://www.tdiary.org/20061210.html


About: This Advisory was delivered by Secunia as a free service to help everybody keeping their systems up to date against the latest vulnerabilities.

Subscribe: http://secunia.com/secunia_security_advisories/

Definitions: (Criticality, Where etc.) http://secunia.com/about_secunia_advisories/

Please Note: Secunia recommends that you verify all advisories you receive by clicking the link. Secunia NEVER sends attached files with advisories. Secunia does not advise people to install third party patches, only use those supplied by the vendor.